Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.acl
Class DefaultGroupImpl

    java.lang.Object
      |
      +--weblogic.security.acl.DefaultGroupImpl

Direct Known Subclasses:
  FlatGroup

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by JAAS and the Pluggable Security Infrastructure.

public abstract class DefaultGroupImpl
extends java.lang.Object
implements java.security.acl.Group

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DefaultGroupImpl(java.lang.String name)` Deprecated.

Method Summary
`boolean` | `addMember(java.security.Principal user)` Deprecated. Adds the specified member to the group.
`java.lang.String` | `getName()` Deprecated. Returns the name of this principal.
`abstract boolean` | `isMember(java.security.Principal member)` Deprecated. Returns true if the passed principal is a member of the group.
`abstract java.util.Enumeration` | `members()` Deprecated. Returns an enumeration of the members in the group.
`boolean` | `removeMember(java.security.Principal user)` Deprecated. Removes the specified member from the group.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultGroupImpl

    public DefaultGroupImpl(java.lang.String name)

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name of this principal.

  Returns:
    the name of this principal.

### addMember

    public boolean addMember(java.security.Principal user)

  Deprecated.
  Adds the specified member to the group.
  Specified by:
    addMember in interface java.security.acl.Group

  Parameters:
    `user` - the principal to add to this group.
  Returns:
    true if the member was successfully added, false if the principal was already a member.

### removeMember

    public boolean removeMember(java.security.Principal user)

  Deprecated.
  Removes the specified member from the group.
  Specified by:
    removeMember in interface java.security.acl.Group

  Parameters:
    `user` - the principal to remove from this group.
  Returns:
    true if the principal was removed, or false if the principal was not a member.

### isMember

    public abstract boolean isMember(java.security.Principal member)

  Deprecated.
  Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.
  Specified by:
    isMember in interface java.security.acl.Group

  Parameters:
    `member` - the principal whose membership is to be checked.
  Returns:
    true if the principal is a member of this group, false otherwise.

### members

    public abstract java.util.Enumeration members()

  Deprecated.
  Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).
  Specified by:
    members in interface java.security.acl.Group

  Returns:
    an enumeration of the group members.

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD